package com.danding.yang800.Presenter;

import android.content.Context;
import android.content.SharedPreferences;
import android.util.Log;

import com.danding.yang800.BuildConfig;
import com.danding.yang800.General.HttpCallBack;
import com.danding.yang800.General.Yang800App;
import com.danding.yang800.SetTakePassActivity;
import com.danding.yang800.Util.GeneralUtil;
import com.danding.yang800.Util.MD5Util;
import com.danding.yang800.Util.ToastUtil;
import com.danding.yang800.Util.VolleyUtil;

import org.json.JSONObject;

import java.util.HashMap;

/**
 * Created by Administrator on 2017/1/12.
 */
public class SetTakePassActivityPresenter {
    private SetTakePassActivity context;
    SharedPreferences sp;

    public SetTakePassActivityPresenter(SetTakePassActivity context) {
        sp = context.getSharedPreferences("variable", Context.MODE_PRIVATE);
        this.context = context;
    }


    public void updateWithdrawCashPassword(final String userId, final String newPassword, final String verifyPassword) {
        if (newPassword.equals("") || verifyPassword.equals("")) {
            ToastUtil.show(context, "密码不能为空！");
            return;
        }
        if (!newPassword.equals(verifyPassword)) {
            ToastUtil.show(context, "请输入相同的提现密码！");
            return;
        }
        final String newPasswordEncode = GeneralUtil.encode(MD5Util.MD5(newPassword) + "yang800_$_&_%_#_@");
        final String verifyPasswordEncode = GeneralUtil.encode(MD5Util.MD5(verifyPassword) + "yang800_$_&_%_#_@");
        Log.d("LoginActivity", newPasswordEncode);
        context.initDialog();
        HashMap<String, String> map = new HashMap<String, String>();
        map.put("userId", userId);
        map.put("newPassword", newPasswordEncode);
        map.put("verifyPassword", verifyPasswordEncode);
//        new VolleyUtil(context).request( context,"http://" + BuildConfig.HOSTURL + "/xhr/user/setting/updateWithdrawCashPassword", true,map, new HttpCallBack() {
        new VolleyUtil(context).request( context, "user.setting.updateWithdrawCashPassword", true,map, new HttpCallBack() {
            @Override
            public void onSuccess(JSONObject json) {
                try {
                        ToastUtil.show(context, "设置成功");
                        context.finish();
                    context.dismissDialog();
                } catch (Exception e) {
                    e.printStackTrace();
                    onCatch();

                }

            }


            @Override
            public void onerrSuccess() {
                context.dismissDialog();
            }

            @Override
            public void onCatch() {
                context.dismissDialog();
            }

            @Override
            public void onFail() {
                context.dismissDialog();
            }
        });
//        StringRequest stringRequest = new StringRequest(Request.Method.POST,
//                "http://" + BuildConfig.HOSTURL + "/xhr/user/setting/updateWithdrawCashPassword",
//                new Response.Listener<String>() {
//                    @Override
//                    public void onResponse(String response) {
//                        Log.d("LoginActivity", response);
//                        try {
//                            JSONObject json = new JSONObject(response);
//                            String code = json.getString("code");
//                            if (code.equals("success")) {
//                                ToastUtil.show(context, "设置成功");
//                                context.finish();
//                                return;
//                            }
//                            context.dismissDialog();
//                        } catch (Exception e) {
//                            e.printStackTrace();
//                            context.dismissDialog();
//                        }
//
//                    }
//                }, new Response.ErrorListener() {
//
//            @Override
//            public void onErrorResponse(VolleyError error) {
//                context.dismissDialog();
//            }
//        }) {
//            @Override
//            protected HashMap<String, String> getParams() { //
//                HashMap<String, String> map = new HashMap<String, String>();
//                map.put("userId", userId);
//                map.put("newPassword", newPasswordEncode);
//                map.put("verifyPassword", verifyPasswordEncode);
//                return map;
//            }
//
//            @Override
//            public Map<String, String> getHeaders() throws AuthFailureError {
//                if (!sp.getString("Cookie", "").equals("")) {
//                    HashMap<String, String> headers = new HashMap<String, String>();
//                    headers.put("Cookie", sp.getString("Cookie", ""));
//                    return headers;
//                } else {
//                    return super.getHeaders();
//                }
//            }
//
//        };
//        stringRequest.setTag("POST_TAG");
//        requestQueue.add(stringRequest);
    }


}
